aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJa.KooLit <85185940+JaKooLit@users.noreply.github.com>2025-02-03 00:10:58 +0900
committerGitHub <noreply@github.com>2025-02-03 00:10:58 +0900
commit949046ffcb2817caf32bf82f06d5cdf3d57b1a40 (patch)
treeb33733a05816c25ed01b4fa7e2c89b816c615bcc
parent9b67a8376e3d186edc75a482010e53c3b4e9e018 (diff)
parentc7fd362a7c2c69434890ed5edfcea58d32cfeb53 (diff)
Merge pull request #542 from JaKooLit/development
Development to Main
-rw-r--r--config/hypr/UserConfigs/WindowRules.conf8
-rwxr-xr-xconfig/hypr/UserScripts/QuickEdit.sh6
-rwxr-xr-xconfig/hypr/UserScripts/RofiBeats.sh6
-rwxr-xr-xconfig/hypr/UserScripts/WallpaperEffects.sh2
-rwxr-xr-xconfig/hypr/UserScripts/WallpaperRandom.sh2
-rwxr-xr-xconfig/hypr/UserScripts/WallpaperSelect.sh5
-rw-r--r--config/hypr/configs/Keybinds.conf2
-rw-r--r--config/hypr/configs/Settings.conf8
-rw-r--r--config/hypr/hyprland.conf49
-rwxr-xr-xconfig/hypr/hyprlock-1080p.conf4
-rw-r--r--config/hypr/hyprlock.conf4
-rwxr-xr-xconfig/hypr/scripts/Animations.sh (renamed from config/hypr/UserScripts/Animations.sh)8
-rwxr-xr-xconfig/hypr/scripts/RofiSearch.sh2
-rw-r--r--config/rofi/config-Animations.rasi2
-rw-r--r--config/rofi/master-config.rasi20
-rw-r--r--config/rofi/resolution/1080p/master-config.rasi20
-rwxr-xr-xconfig/rofi/resolution/1440p/config.rasi4
-rw-r--r--config/rofi/resolution/1440p/master-config.rasi18
-rw-r--r--config/wallust/templates/colors-rofi.rasi14
-rwxr-xr-xcopy.sh86
20 files changed, 135 insertions, 135 deletions
diff --git a/config/hypr/UserConfigs/WindowRules.conf b/config/hypr/UserConfigs/WindowRules.conf
index 660ebe76..50d342ac 100644
--- a/config/hypr/UserConfigs/WindowRules.conf
+++ b/config/hypr/UserConfigs/WindowRules.conf
@@ -123,9 +123,11 @@ windowrulev2 = float, class:(codium|codium-url-handler|VSCodium), title:negative
windowrulev2 = float, class:^(com.heroicgameslauncher.hgl)$, title:negative:(Heroic Games Launcher)
windowrulev2 = float, class:^([Ss]team)$, title:negative:^([Ss]team)$
windowrulev2 = float, class:([Tt]hunar), title:negative:(.*[Tt]hunar.*)
-windowrulev2 = float, class:(electron), title:(Add Folder to Workspace)
-windowrulev2 = float, class:^([Dd]iscord)$, title:(Open Files)
-windowrulev2 = size 70% 70%, class:^([Dd]iscord)$, title:(Open Files)
+#windowrulev2 = float, class:(electron), title:(Add Folder to Workspace)
+windowrulev2 = float, initialTitle:(Add Folder to Workspace)
+windowrulev2 = size 70% 60%, initialTitle:(Add Folder to Workspace)
+windowrulev2 = float, initialTitle:(Open Files)
+windowrulev2 = size 70% 60%, initialTitle:(Open Files)
# OPACITY
windowrulev2 = opacity 0.9 0.7, tag:browser*
diff --git a/config/hypr/UserScripts/QuickEdit.sh b/config/hypr/UserScripts/QuickEdit.sh
index e5c26e20..e0af9dce 100755
--- a/config/hypr/UserScripts/QuickEdit.sh
+++ b/config/hypr/UserScripts/QuickEdit.sh
@@ -23,8 +23,7 @@ menu() {
8. View / Edit Decorations
9. View / Edit Animations
10. View / Edit Workspace-Rules
-11. View / Edit Default-Settings
-12. View / Edit Default-Keybinds
+11. View / Edit Default-Keybinds
EOF
}
@@ -44,8 +43,7 @@ main() {
8) file="$UserConfigs/UserDecorations.conf" ;;
9) file="$UserConfigs/UserAnimations.conf" ;;
10) file="$UserConfigs/WorkspaceRules.conf" ;;
- 11) file="$configs/Settings.conf" ;;
- 12) file="$configs/Keybinds.conf" ;;
+ 11) file="$configs/Keybinds.conf" ;;
*) return ;; # Do nothing for invalid choices
esac
diff --git a/config/hypr/UserScripts/RofiBeats.sh b/config/hypr/UserScripts/RofiBeats.sh
index 919eafc3..bb20e2b6 100755
--- a/config/hypr/UserScripts/RofiBeats.sh
+++ b/config/hypr/UserScripts/RofiBeats.sh
@@ -47,7 +47,7 @@ play_local_music() {
populate_local_music
# Prompt the user to select a song
- choice=$(printf "%s\n" "${filenames[@]}" | rofi -i -dmenu -config ~/.config/rofi/config-rofi-Beats.rasi -p "Local Music")
+ choice=$(printf "%s\n" "${filenames[@]}" | rofi -i -dmenu -config ~/.config/rofi/config-rofi-Beats.rasi)
if [ -z "$choice" ]; then
exit 1
@@ -77,7 +77,7 @@ shuffle_local_music() {
# Main function for playing online music
play_online_music() {
- choice=$(printf "%s\n" "${!online_music[@]}" | rofi -i -dmenu -config ~/.config/rofi/config-rofi-Beats.rasi -p "Online Music")
+ choice=$(printf "%s\n" "${!online_music[@]}" | rofi -i -dmenu -config ~/.config/rofi/config-rofi-Beats.rasi)
if [ -z "$choice" ]; then
exit 1
@@ -101,7 +101,7 @@ fi
# Prompt the user to choose between local and online music
-user_choice=$(printf "Play from Online Stations\nPlay from Music Folder\nShuffle Play from Music Folder" | rofi -dmenu -config ~/.config/rofi/config-rofi-Beats-menu.rasi -p "Select music source")
+user_choice=$(printf "Play from Online Stations\nPlay from Music Folder\nShuffle Play from Music Folder" | rofi -dmenu -config ~/.config/rofi/config-rofi-Beats-menu.rasi)
case "$user_choice" in
"Play from Music Folder")
diff --git a/config/hypr/UserScripts/WallpaperEffects.sh b/config/hypr/UserScripts/WallpaperEffects.sh
index 481489e9..ccb5b744 100755
--- a/config/hypr/UserScripts/WallpaperEffects.sh
+++ b/config/hypr/UserScripts/WallpaperEffects.sh
@@ -63,7 +63,7 @@ main() {
done
# Show rofi menu and handle user choice
- choice=$(printf "%s\n" "${options[@]}" | LC_COLLATE=C sort | rofi -dmenu -p "Choose effect" -i -config ~/.config/rofi/config-wallpaper-effect.rasi)
+ choice=$(printf "%s\n" "${options[@]}" | LC_COLLATE=C sort | rofi -dmenu -i -config ~/.config/rofi/config-wallpaper-effect.rasi)
# Process user choice
if [[ -n "$choice" ]]; then
diff --git a/config/hypr/UserScripts/WallpaperRandom.sh b/config/hypr/UserScripts/WallpaperRandom.sh
index 3c8c7520..1a5064e7 100755
--- a/config/hypr/UserScripts/WallpaperRandom.sh
+++ b/config/hypr/UserScripts/WallpaperRandom.sh
@@ -7,7 +7,7 @@ SCRIPTSDIR="$HOME/.config/hypr/scripts"
focused_monitor=$(hyprctl monitors | awk '/^Monitor/{name=$2} /focused: yes/{print name}')
-PICS=($(find ${wallDIR} -type f \( -name "*.jpg" -o -name "*.jpeg" -o -name "*.png" -o -name "*.gif" \)))
+PICS=($(find ${wallDIR} -type f \( -name "*.jpg" -o -name "*.jpeg" -o -name "*.png" -o -name "*.pnm" -o -name "*.tga" -o -name "*.tiff" -o -name "*.webp" -o -name "*.bmp" -o -name "*.farbfeld" -o -name "*.gif" \)))
RANDOMPICS=${PICS[ $RANDOM % ${#PICS[@]} ]}
diff --git a/config/hypr/UserScripts/WallpaperSelect.sh b/config/hypr/UserScripts/WallpaperSelect.sh
index 6aa60804..7d6b339f 100755
--- a/config/hypr/UserScripts/WallpaperSelect.sh
+++ b/config/hypr/UserScripts/WallpaperSelect.sh
@@ -21,7 +21,7 @@ if pidof swaybg > /dev/null; then
fi
# Retrieve image files using null delimiter to handle spaces in filenames
-mapfile -d '' PICS < <(find "${wallDIR}" -type f \( -iname "*.jpg" -o -iname "*.jpeg" -o -iname "*.png" -o -iname "*.gif" \) -print0)
+mapfile -d '' PICS < <(find "${wallDIR}" -type f \( -iname "*.jpg" -o -iname "*.jpeg" -o -iname "*.pnm" -o -iname "*.tga" -o -iname "*.tiff" -o -iname "*.webp" -o -iname "*.bmp" -o -iname "*.farbfeld" -o -iname "*.png" -o -iname "*.gif" \) -print0)
RANDOM_PIC="${PICS[$((RANDOM % ${#PICS[@]}))]}"
RANDOM_PIC_NAME=". random"
@@ -106,5 +106,4 @@ wait $!
wait $!
sleep 2
-"$SCRIPTSDIR/Refresh.sh"
-
+"$SCRIPTSDIR/Refresh.sh" \ No newline at end of file
diff --git a/config/hypr/configs/Keybinds.conf b/config/hypr/configs/Keybinds.conf
index feb21707..2ea3bfa3 100644
--- a/config/hypr/configs/Keybinds.conf
+++ b/config/hypr/configs/Keybinds.conf
@@ -38,7 +38,7 @@ bind = $mainMod SHIFT, W, exec, $UserScripts/WallpaperEffects.sh # Wallpaper Eff
bind = CTRL ALT, W, exec, $UserScripts/WallpaperRandom.sh # Random wallpapers
bind = $mainMod ALT, O, exec, hyprctl setprop active opaque toggle # disable opacity on active window
bind = $mainMod SHIFT, K, exec, $scriptsDir/KeyBinds.sh # search keybinds via rofi
-bind = $mainMod SHIFT, A, exec, $UserScripts/Animations.sh #hyprland animations menu
+bind = $mainMod SHIFT, A, exec, $scriptsDir/Animations.sh #hyprland animations menu
# Waybar / Bar related
bind = $mainMod, B, exec, pkill -SIGUSR1 waybar # Toggle hide/show waybar
diff --git a/config/hypr/configs/Settings.conf b/config/hypr/configs/Settings.conf
deleted file mode 100644
index e96d85e3..00000000
--- a/config/hypr/configs/Settings.conf
+++ /dev/null
@@ -1,8 +0,0 @@
-# /* ---- 💫 https://github.com/JaKooLit 💫 ---- */ #
-
-# Default Settings. avoid changing this file as during update, this will be replaced
-
-# refer to Hyprland wiki for more info https://wiki.hyprland.org/Configuring/Variables
-
-# Initial boot script enable to apply initial wallpapers, theming, new settings etc.
-exec-once = $HOME/.config/hypr/initial-boot.sh \ No newline at end of file
diff --git a/config/hypr/hyprland.conf b/config/hypr/hyprland.conf
index 7f9ebab9..fc2b781c 100644
--- a/config/hypr/hyprland.conf
+++ b/config/hypr/hyprland.conf
@@ -1,23 +1,38 @@
# /* ---- 💫 https://github.com/JaKooLit 💫 ---- */ #
+# always refer to Hyprland wiki
+# https://wiki.hyprland.org/
+
+# Initial boot script enable to apply initial wallpapers, theming, new settings etc.
+# suggest not to change this or delete this including deleting referrence file in ~/.config/hypr/.initial_startup_done
+# as long as the referrence file is present, this initial-boot.sh will not execute
+exec-once = $HOME/.config/hypr/initial-boot.sh
+
# Sourcing external config files
+$configs = $HOME/.config/hypr/configs # Default Configs directory path
+
+source=$configs/Keybinds.conf # Pre-configured keybinds
+
+# ## This is where you want to start tinkering
+$UserConfigs = $HOME/.config/hypr/UserConfigs # User Configs directory path
+
+source= $UserConfigs/Startup_Apps.conf # put your start-up packages on this file
+
+source= $UserConfigs/ENVariables.conf # Environment variables to load
+
+source= $UserConfigs/Monitors.conf # Its all about your monitor config
+
+source= $UserConfigs/Laptops.conf # For laptop related
+
+source= $UserConfigs/LaptopDisplay.conf # Laptop display related. You need to read the comment on this file
+
+source= $UserConfigs/WindowRules.conf # all about Hyprland Window Rules and Layer Rules
+
+source= $UserConfigs/UserDecorations.conf # Decorations config file
-# Default Configs
-$configs = $HOME/.config/hypr/configs
+source= $UserConfigs/UserAnimations.conf # Animation config file
-source=$configs/Settings.conf
-source=$configs/Keybinds.conf
+source= $UserConfigs/UserKeybinds.conf # Put your own keybinds here
-# User Configs
-$UserConfigs = $HOME/.config/hypr/UserConfigs
+source= $UserConfigs/UserSettings.conf # Main Hyprland Settings.
-source= $UserConfigs/Startup_Apps.conf
-source= $UserConfigs/ENVariables.conf
-source= $UserConfigs/Monitors.conf
-source= $UserConfigs/Laptops.conf
-source= $UserConfigs/LaptopDisplay.conf
-source= $UserConfigs/WindowRules.conf
-source= $UserConfigs/UserDecorations.conf
-source= $UserConfigs/UserAnimations.conf
-source= $UserConfigs/UserKeybinds.conf
-source= $UserConfigs/UserSettings.conf
-source= $UserConfigs/WorkspaceRules.conf
+source= $UserConfigs/WorkspaceRules.conf # Hyprland workspaces \ No newline at end of file
diff --git a/config/hypr/hyprlock-1080p.conf b/config/hypr/hyprlock-1080p.conf
index 44dd1af1..7d2566a7 100755
--- a/config/hypr/hyprlock-1080p.conf
+++ b/config/hypr/hyprlock-1080p.conf
@@ -14,8 +14,8 @@ background {
monitor =
# NOTE: use only 1 path
#path = screenshot # screenshot of your desktop
- path = $HOME/.config/hypr/wallpaper_effects/.wallpaper_modified # NOTE only png supported for now
- #path = $HOME/.config/hypr/wallpaper_effects/.wallpaper_current # current wallpaper
+ #path = $HOME/.config/hypr/wallpaper_effects/.wallpaper_modified # by wallpaper effects
+ path = $HOME/.config/hypr/wallpaper_effects/.wallpaper_current # current wallpaper
#color = $color7
diff --git a/config/hypr/hyprlock.conf b/config/hypr/hyprlock.conf
index e834d52c..975b5d62 100644
--- a/config/hypr/hyprlock.conf
+++ b/config/hypr/hyprlock.conf
@@ -14,8 +14,8 @@ background {
monitor =
# NOTE: use only 1 path
#path = screenshot # screenshot of your desktop
- path = $HOME/.config/hypr/wallpaper_effects/.wallpaper_modified # NOTE only png supported for now
- #path = $HOME/.config/hypr/wallpaper_effects/.wallpaper_current # current wallpaper
+ #path = $HOME/.config/hypr/wallpaper_effects/.wallpaper_modified # by wallpaper effects
+ path = $HOME/.config/hypr/wallpaper_effects/.wallpaper_current # current wallpaper
#color = $color7
diff --git a/config/hypr/UserScripts/Animations.sh b/config/hypr/scripts/Animations.sh
index 71368bbe..48ac0f85 100755
--- a/config/hypr/UserScripts/Animations.sh
+++ b/config/hypr/scripts/Animations.sh
@@ -17,7 +17,7 @@ UserConfigs="$HOME/.config/hypr/UserConfigs"
animations_list=$(find "$animations_dir" -maxdepth 1 -type f | sed 's/.*\///' | sed 's/\.conf$//')
# Rofi Menu
-chosen_file=$(echo "$animations_list" | rofi -i -dmenu -config ~/.config/rofi/config-Animations.rasi "Choose animation:")
+chosen_file=$(echo "$animations_list" | rofi -i -dmenu -config ~/.config/rofi/config-Animations.rasi)
# Check if a file was selected
if [[ -n "$chosen_file" ]]; then
@@ -26,10 +26,10 @@ if [[ -n "$chosen_file" ]]; then
cp "$full_path" "$UserConfigs/UserAnimations.conf"
- notify-send -u low -i "$iDIR/ja.png" "$chosen_file" "Animation Loaded"
+ notify-send -u low -i "$iDIR/ja.png" "$chosen_file" "Hyprland Animation Loaded"
else
- notify-send -u low -i "$iDIR/ja.png" "You chose to" "NOT apply other animations"
+ notify-send -u low -i "$iDIR/ja.png" "You chose NOT" "to apply other Hyprland animations"
fi
sleep 1
-"$SCRIPTSDIR/RefreshNoWaybar.sh"
+"$SCRIPTSDIR/RefreshNoWaybar.sh" \ No newline at end of file
diff --git a/config/hypr/scripts/RofiSearch.sh b/config/hypr/scripts/RofiSearch.sh
index ccc73016..faf07865 100755
--- a/config/hypr/scripts/RofiSearch.sh
+++ b/config/hypr/scripts/RofiSearch.sh
@@ -13,5 +13,5 @@ if pgrep -x "rofi" >/dev/null; then
fi
# Open rofi with a dmenu and pass the selected item to xdg-open for Google search
-echo "" | rofi -dmenu -config "$rofi_config" -p "Search:" | xargs -I{} xdg-open "https://www.google.com/search?q={}"
+echo "" | rofi -dmenu -config "$rofi_config" | xargs -I{} xdg-open "https://www.google.com/search?q={}"
diff --git a/config/rofi/config-Animations.rasi b/config/rofi/config-Animations.rasi
index 761c5322..2064cd1b 100644
--- a/config/rofi/config-Animations.rasi
+++ b/config/rofi/config-Animations.rasi
@@ -5,7 +5,7 @@
/* ---- Window ---- */
window {
- width: 35%;
+ width: 35%;
}
/* ---- Entry ---- */
diff --git a/config/rofi/master-config.rasi b/config/rofi/master-config.rasi
index 50198012..09032268 100644
--- a/config/rofi/master-config.rasi
+++ b/config/rofi/master-config.rasi
@@ -4,19 +4,19 @@
/* ---- Configuration ---- */
configuration {
- font: "JetBrainsMono Nerd Font SemiBold 12";
- modi: "drun,run,filebrowser";
+ font: "JetBrainsMono Nerd Font SemiBold 12";
+ modi: "drun,run,filebrowser";
show-icons: true;
display-drun: "Apps";
display-run: "Run";
display-filebrowser: "Files";
display-window: "Windows";
- drun-display-format: "{name}";
- hover-select: true;
- me-select-entry: "MouseSecondary";
+ drun-display-format: "{name}";
+ hover-select: true;
+ me-select-entry: "MouseSecondary";
me-accept-entry: "MousePrimary";
- window-format: "{w} · {c} · {t}";
- dpi: 1;
+ window-format: "{w} · {c} · {t}";
+ dpi: 1;
}
/* ---- Load wallust colors ---- */
@@ -145,7 +145,7 @@ button selected {
/* ---- Scrollbar ---- */
scrollbar {
border: 0;
- handle-color: @border-color;
+ handle-color: @background-alt;
handle-width: 2px ;
padding: 0;
}
@@ -154,7 +154,7 @@ scrollbar {
element {
enabled: true;
spacing: 10px;
- padding: 10px;
+ padding: 10px;
border-radius: 12px;
background-color: transparent;
cursor: pointer;
@@ -178,7 +178,7 @@ element selected.normal {
border-radius: 16px;
border-color: @selected;
background-color: transparent;
- text-color: @selected;
+ text-color: @background-alt;
}
element selected.urgent {
diff --git a/config/rofi/resolution/1080p/master-config.rasi b/config/rofi/resolution/1080p/master-config.rasi
index 50198012..09032268 100644
--- a/config/rofi/resolution/1080p/master-config.rasi
+++ b/config/rofi/resolution/1080p/master-config.rasi
@@ -4,19 +4,19 @@
/* ---- Configuration ---- */
configuration {
- font: "JetBrainsMono Nerd Font SemiBold 12";
- modi: "drun,run,filebrowser";
+ font: "JetBrainsMono Nerd Font SemiBold 12";
+ modi: "drun,run,filebrowser";
show-icons: true;
display-drun: "Apps";
display-run: "Run";
display-filebrowser: "Files";
display-window: "Windows";
- drun-display-format: "{name}";
- hover-select: true;
- me-select-entry: "MouseSecondary";
+ drun-display-format: "{name}";
+ hover-select: true;
+ me-select-entry: "MouseSecondary";
me-accept-entry: "MousePrimary";
- window-format: "{w} · {c} · {t}";
- dpi: 1;
+ window-format: "{w} · {c} · {t}";
+ dpi: 1;
}
/* ---- Load wallust colors ---- */
@@ -145,7 +145,7 @@ button selected {
/* ---- Scrollbar ---- */
scrollbar {
border: 0;
- handle-color: @border-color;
+ handle-color: @background-alt;
handle-width: 2px ;
padding: 0;
}
@@ -154,7 +154,7 @@ scrollbar {
element {
enabled: true;
spacing: 10px;
- padding: 10px;
+ padding: 10px;
border-radius: 12px;
background-color: transparent;
cursor: pointer;
@@ -178,7 +178,7 @@ element selected.normal {
border-radius: 16px;
border-color: @selected;
background-color: transparent;
- text-color: @selected;
+ text-color: @background-alt;
}
element selected.urgent {
diff --git a/config/rofi/resolution/1440p/config.rasi b/config/rofi/resolution/1440p/config.rasi
index c8b3deb2..768fcec1 100755
--- a/config/rofi/resolution/1440p/config.rasi
+++ b/config/rofi/resolution/1440p/config.rasi
@@ -5,12 +5,12 @@
/* ---- Window ---- */
window {
- width: 50%;
+ width: 50%;
}
/* ---- Mode Switcher ---- */
button {
- width: 110px;
+ width: 110px;
}
/* ---- Listview ---- */
diff --git a/config/rofi/resolution/1440p/master-config.rasi b/config/rofi/resolution/1440p/master-config.rasi
index 076fe70a..96cb83a1 100644
--- a/config/rofi/resolution/1440p/master-config.rasi
+++ b/config/rofi/resolution/1440p/master-config.rasi
@@ -4,19 +4,19 @@
/* ---- Configuration ---- */
configuration {
- font: "JetBrainsMono Nerd Font SemiBold 12";
- modi: "drun,run,filebrowser";
+ font: "JetBrainsMono Nerd Font SemiBold 12";
+ modi: "drun,run,filebrowser";
show-icons: true;
display-drun: "Apps";
display-run: "Run";
display-filebrowser: "Files";
display-window: "Windows";
- drun-display-format: "{name}";
- hover-select: true;
- me-select-entry: "MouseSecondary";
+ drun-display-format: "{name}";
+ hover-select: true;
+ me-select-entry: "MouseSecondary";
me-accept-entry: "MousePrimary";
- window-format: "{w} · {c} · {t}";
- dpi: 1;
+ window-format: "{w} · {c} · {t}";
+ dpi: 1;
}
/* ---- Load wallust colors ---- */
@@ -145,7 +145,7 @@ button selected {
/* ---- Scrollbar ---- */
scrollbar {
border: 0;
- handle-color: @border-color;
+ handle-color: @background-alt;
handle-width: 2px ;
padding: 0;
}
@@ -178,7 +178,7 @@ element selected.normal {
border-radius: 16px;
border-color: @selected;
background-color: transparent;
- text-color: @selected;
+ text-color: @background-alt;
}
element selected.urgent {
diff --git a/config/wallust/templates/colors-rofi.rasi b/config/wallust/templates/colors-rofi.rasi
index 459490a8..ee15be5a 100644
--- a/config/wallust/templates/colors-rofi.rasi
+++ b/config/wallust/templates/colors-rofi.rasi
@@ -2,30 +2,30 @@
/* wallust template - colors-rofi */
* {
-active-background: {{color9}};
+active-background: {{color12}};
active-foreground: {{foreground}};
normal-background: {{background}};
normal-foreground: {{foreground}};
-urgent-background: {{color12}};
+urgent-background: {{color13}};
urgent-foreground: {{foreground}};
-alternate-active-background: {{color5}};
+alternate-active-background: {{color11}};
alternate-active-foreground: {{foreground}};
alternate-normal-background: {{background}};
alternate-normal-foreground: {{foreground}};
alternate-urgent-background: {{background}};
alternate-urgent-foreground: {{foreground}};
-selected-active-background: {{color9}};
+selected-active-background: {{color12}};
selected-active-foreground: {{foreground}};
-selected-normal-background: {{color7}};
+selected-normal-background: {{color11}};
selected-normal-foreground: {{foreground}};
-selected-urgent-background: {{color12}};
+selected-urgent-background: {{color13}};
selected-urgent-foreground: {{foreground}};
background-color: {{background}};
background: rgba(0,0,0,0.7);
foreground: {{color15}};
-border-color: {{color9}};
+border-color: {{color11}};
}
diff --git a/copy.sh b/copy.sh
index 5b387095..5747615f 100755
--- a/copy.sh
+++ b/copy.sh
@@ -50,7 +50,7 @@ xdg-user-dirs-update 2>&1 | tee -a "$LOG" || true
# setting up for nvidia
if lspci -k | grep -A 2 -E "(VGA|3D)" | grep -iq nvidia; then
- echo "Nvidia GPU detected. Setting up proper env's and configs" 2>&1 | tee -a "$LOG" || true
+ echo "${INFO} Nvidia GPU detected. Setting up proper env's and configs" 2>&1 | tee -a "$LOG" || true
sed -i '/env = LIBVA_DRIVER_NAME,nvidia/s/^#//' config/hypr/UserConfigs/ENVariables.conf
sed -i '/env = __GLX_VENDOR_LIBRARY_NAME,nvidia/s/^#//' config/hypr/UserConfigs/ENVariables.conf
sed -i '/env = NVD_BACKEND,direct/s/^#//' config/hypr/UserConfigs/ENVariables.conf
@@ -62,7 +62,7 @@ fi
# uncommenting WLR_RENDERER_ALLOW_SOFTWARE,1 if running in a VM is detected
if hostnamectl | grep -q 'Chassis: vm'; then
- echo "System is running in a virtual machine." 2>&1 | tee -a "$LOG" || true
+ echo "${INFO} System is running in a virtual machine." 2>&1 | tee -a "$LOG" || true
# enabling proper ENV's for Virtual Environment which should help
sed -i 's/^\([[:space:]]*no_hardware_cursors[[:space:]]*=[[:space:]]*\)2/\1true/' config/hypr/UserConfigs/UserSettings.conf
sed -i '/env = WLR_RENDERER_ALLOW_SOFTWARE,1/s/^#//' config/hypr/UserConfigs/ENVariables.conf
@@ -72,23 +72,22 @@ fi
# Proper Polkit for NixOS
if hostnamectl | grep -q 'Operating System: NixOS'; then
- echo "You Distro is NixOS. Setting up properly." 2>&1 | tee -a "$LOG" || true
+ echo "${INFO} NixOS Distro Detected. Setting up properly." 2>&1 | tee -a "$LOG" || true
sed -i -E '/^#?exec-once = \$scriptsDir\/Polkit-NixOS\.sh/s/^#//' config/hypr/UserConfigs/Startup_Apps.conf
sed -i '/^exec-once = \$scriptsDir\/Polkit\.sh$/ s/^#*/#/' config/hypr/UserConfigs/Startup_Apps.conf
fi
# Check if dpkg is installed (use to check if Debian or Ubuntu or based distros
if command -v dpkg &> /dev/null; then
- echo "Debian/Ubuntu based distro. Disabling pyprland" 2>&1 | tee -a "$LOG" || true
+ echo "${INFO} Debian/Ubuntu based distro. Disabling pyprland since it does not work properly" 2>&1 | tee -a "$LOG" || true
# disabling pyprland as causing issues
sed -i '/^exec-once = pypr &/ s/^/#/' config/hypr/UserConfigs/Startup_Apps.conf
fi
# activating hyprcursor on env by checking if the directory ~/.icons/Bibata-Modern-Ice/hyprcursors exists
if [ -d "$HOME/.icons/Bibata-Modern-Ice/hyprcursors" ]; then
- # Define the config file path
HYPRCURSOR_ENV_FILE="config/hypr/UserConfigs/ENVariables.conf"
-
+ echo "${INFO} Bibata-Hyprcursor directory detected. Activating Hyprcursor...." 2>&1 | tee -a "$LOG" || true
sed -i 's/^#env = HYPRCURSOR_THEME,Bibata-Modern-Ice/env = HYPRCURSOR_THEME,Bibata-Modern-Ice/' "$HYPRCURSOR_ENV_FILE"
sed -i 's/^#env = HYPRCURSOR_SIZE,24/env = HYPRCURSOR_SIZE,24/' "$HYPRCURSOR_ENV_FILE"
fi
@@ -115,24 +114,23 @@ if [ "$layout" = "(unset)" ]; then
while true; do
printf "\n%.0s" {1..1}
print_color $WARNING "
-█▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀█
- STOP AND READ
-█▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄█
+ █▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀█
+ STOP AND READ
+ █▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄█
!!! IMPORTANT WARNING !!!
The Default Keyboard Layout could not be detected
-
You need to set it Manually
-!!! WARNING !!!
-Setting a wrong Keyboard Layout will cause Hyprland to crash
+ !!! WARNING !!!
-If you are not sure, just type us
+Setting a wrong Keyboard Layout will cause Hyprland to crash
+If you are not sure, just type ${YELLOW}us${RESET}
-NOTE:
+${MAGENTA} NOTE:${RESET}
• You can also set more than 2 keyboard layouts
-• For example us, kr, gb, ru
+• For example: ${YELLOW}us, kr, gb, ru${RESET}
"
printf "\n%.0s" {1..1}
read -p "${CAT} - Please enter the correct keyboard layout: " new_layout
@@ -155,7 +153,6 @@ while true; do
case $keyboard_layout in
[yY])
- # If the detected layout is correct, update the 'kb_layout =' line in the file
awk -v layout="$layout" '/kb_layout/ {$0 = " kb_layout = " layout} 1' config/hypr/UserConfigs/UserSettings.conf > temp.conf
mv temp.conf config/hypr/UserConfigs/UserSettings.conf
@@ -164,30 +161,28 @@ while true; do
[nN])
printf "\n%.0s" {1..2}
print_color $WARNING "
-█▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀█
- STOP AND READ
-█▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄█
+ █▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀█
+ STOP AND READ
+ █▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄█
!!! IMPORTANT WARNING !!!
The Default Keyboard Layout could not be detected
-
You need to set it Manually
-!!! WARNING !!!
-Setting a wrong Keyboard Layout will cause Hyprland to crash
+ !!! WARNING !!!
-If you are not sure, just type us
+Setting a wrong Keyboard Layout will cause Hyprland to crash
+If you are not sure, just type ${YELLOW}us${RESET}
-NOTE:
+${MAGENTA} NOTE:${RESET}
• You can also set more than 2 keyboard layouts
-• For example us, kr, gb, ru
+• For example: ${YELLOW}us, kr, gb, ru${RESET}
"
printf "\n%.0s" {1..1}
read -p "${CAT} - Please enter the correct keyboard layout: " new_layout
-
- # Update the 'kb_layout =' line with the correct layout in the file
+
awk -v new_layout="$new_layout" '/kb_layout/ {$0 = " kb_layout = " new_layout} 1' config/hypr/UserConfigs/UserSettings.conf > temp.conf
mv temp.conf config/hypr/UserConfigs/UserSettings.conf
echo "${OK} kb_layout $new_layout configured in settings." 2>&1 | tee -a "$LOG"
@@ -284,7 +279,7 @@ if [ "$resolution" == "< 1440p" ]; then
sed -i 's/font_size 16.0/font_size 12.0/' config/kitty/kitty.conf
# hyprlock matters
- mv config/hypr/hyprlock.conf config/hypr/hyprlock-2k.conf
+ mv config/hypr/hyprlock.conf config/hypr/hyprlock-2k.conf &&
mv config/hypr/hyprlock-1080p.conf config/hypr/hyprlock.conf
elif [ "$resolution" == "≥ 1440p" ]; then
@@ -295,16 +290,15 @@ printf "\n"
# Ask whether to change to 12hr format
while true; do
- echo -e "$MAGENTA By default, configs are in 24H format."
- read -p "$CAT Do you want to change to 12H format (AM/PM)? (y/n): " answer
+ echo -e "$MAGENTA By default, KooL's Dots are configured in 24H clock format."
+ read -p "$CAT Do you want to change to 12H format or AM/PM format? (y/n): " answer
# Convert the answer to lowercase for comparison
answer=$(echo "$answer" | tr '[:upper:]' '[:lower:]')
# Check if the answer is valid
if [[ "$answer" == "y" ]]; then
- # Modify waybar config if 12hr is selected
-
+ # Modify waybar clock modules if 12hr is selected
# Clock 1
sed -i 's#^\(\s*\)//\("format": " {:%I:%M %p}",\) #\1\2 #g' config/waybar/Modules 2>&1 | tee -a "$LOG"
sed -i 's#^\(\s*\)\("format": " {:%H:%M:%S}",\) #\1//\2#g' config/waybar/Modules 2>&1 | tee -a "$LOG"
@@ -413,8 +407,8 @@ for DIR2 in $DIRS; do
if [ -d "$DIRPATH" ]; then
while true; do
- printf "\n${INFO} Found ${MAGENTA}$DIR2${RESET} config found in ~/.config/\n"
- read -p "${CAT} Do you want to replace ${MAGENTA}$DIR2${RESET} config? (y/n): " DIR1_CHOICE
+ printf "\n${INFO} Found ${YELLOW}$DIR2${RESET} config found in ~/.config/\n"
+ read -p "${CAT} Do you want to replace ${YELLOW}$DIR2${RESET} config? (y/n): " DIR1_CHOICE
case "$DIR1_CHOICE" in
[Yy]* )
BACKUP_DIR=$(get_backup_dirname)
@@ -438,7 +432,7 @@ for DIR2 in $DIRS; do
;;
[Nn]* )
# Skip the directory
- echo -e "${NOTE} - Skipping ${MAGENTA}$DIR2${RESET} " 2>&1 | tee -a "$LOG"
+ echo -e "${NOTE} - Skipping ${YELLOW}$DIR2${RESET} " 2>&1 | tee -a "$LOG"
break
;;
* )
@@ -485,7 +479,7 @@ for DIR_NAME in $DIR; do
# Backup the existing directory if it exists
if [ -d "$DIRPATH" ]; then
- echo -e "\n${NOTE} - Config for ${MAGENTA}$DIR_NAME${RESET} found, attempting to back up."
+ echo -e "\n${NOTE} - Config for ${YELLOW}$DIR_NAME${RESET} found, attempting to back up."
BACKUP_DIR=$(get_backup_dirname)
# Backup the existing directory
@@ -541,14 +535,14 @@ fi
if [ -d "$BACKUP_DIR_PATH" ]; then
echo -e "${NOTE} Restoring previous ${MAGENTA}User-Configs${RESET}... "
- echo -e "${WARN} If you decide to restore the old configs, make sure to handle the updates or changes manually."
- echo -e "${INFO} Kindly Visit and check KooL's Hyprland-Dots GitHub page for the commits."
+ echo -e "${WARN} ${WARNING}If you decide to restore the old configs, make sure to handle the updates or changes manually${RESET}."
+ echo -e "${INFO} Kindly Visit and check KooL's Hyprland-Dots GitHub page for the history of commits."
for FILE_NAME in "${FILES_TO_RESTORE[@]}"; do
BACKUP_FILE="$BACKUP_DIR_PATH/$FILE_NAME"
if [ -f "$BACKUP_FILE" ]; then
printf "\n${INFO} Found ${YELLOW}$FILE_NAME${RESET} in hypr backup...\n"
- read -p "${CAT} Do you want to restore ${MAGENTA}$FILE_NAME${RESET} from backup? (y/N): " file_restore
+ read -p "${CAT} Do you want to restore ${YELLOW}$FILE_NAME${RESET} from backup? (y/N): " file_restore
if [[ "$file_restore" == [Yy]* ]]; then
if cp "$BACKUP_FILE" "$DIRPATH/UserConfigs/$FILE_NAME"; then
@@ -584,7 +578,7 @@ if [ -d "$BACKUP_DIR_PATH" ]; then
if [ -f "$BACKUP_SCRIPT" ]; then
printf "\n${INFO} Found ${YELLOW}$SCRIPT_NAME${RESET} in hypr backup...\n"
- read -p "${CAT} Do you want to restore ${MAGENTA}$SCRIPT_NAME${RESET} from backup? (y/N): " script_restore
+ read -p "${CAT} Do you want to restore ${YELLOW}$SCRIPT_NAME${RESET} from backup? (y/N): " script_restore
if [[ "$script_restore" == [Yy]* ]]; then
if cp "$BACKUP_SCRIPT" "$DIRSHPATH/UserScripts/$SCRIPT_NAME"; then
echo "${OK} - $SCRIPT_NAME restored!" 2>&1 | tee -a "$LOG"
@@ -634,8 +628,8 @@ else
fi
# additional wallpapers
-echo "$(tput setaf 6) By default only a few wallpapers are copied...$(tput sgr0)"
printf "\n%.0s" {1..1}
+echo "${MAGENTA}By default only a few wallpapers are copied${RESET}..."
while true; do
read -rp "${CAT} Would you like to download additional wallpapers? ${WARN} This is more than 800 MB (y/n)" WALL
@@ -691,9 +685,9 @@ cleanup_backups() {
# If more than one backup found
if [ ${#BACKUP_DIRS[@]} -gt 1 ]; then
- printf "\n\n ${INFO} Performing clean up for ${MAGENTA}${DIR##*/}${RESET}\n"
+ printf "\n\n ${INFO} Performing clean up for ${YELLOW}${DIR##*/}${RESET}\n"
- echo -e "${NOTE} Found multiple backups for: ${MAGENTA}${DIR##*/}${RESET}"
+ echo -e "${NOTE} Found multiple backups for: ${YELLOW}${DIR##*/}${RESET}"
echo "${YELLOW}Backups: ${RESET}"
# List the backups
@@ -701,7 +695,7 @@ cleanup_backups() {
echo " - ${BACKUP##*/}"
done
- read -p "${CAT} Do you want to delete the older backups of ${MAGENTA}${DIR##*/}${RESET} and keep the latest backup only? (y/N): " back_choice
+ read -p "${CAT} Do you want to delete the older backups of ${YELLOW}${DIR##*/}${RESET} and keep the latest backup only? (y/N): " back_choice
if [[ "$back_choice" == [Yy]* ]]; then
# Sort backups by modification time
latest_backup="${BACKUP_DIRS[0]}"
@@ -717,7 +711,7 @@ cleanup_backups() {
rm -rf "$BACKUP"
fi
done
- echo "Old backups of ${MAGENTA}${DIR##*/}${RESET} deleted, keeping: ${YELLOW}${latest_backup##*/}${RESET}"
+ echo "Old backups of ${YELLOW}${DIR##*/}${RESET} deleted, keeping: ${MAGENTA}${latest_backup##*/}${RESET}"
fi
fi
fi
@@ -738,4 +732,4 @@ printf "\n%.0s" {1..4}
printf "${OK} GREAT! KooL's Hyprland-Dots is now Loaded & Ready !!!"
printf "\n%.0s" {1..1}
printf "${MAGENTA} However, it is HIGHLY SUGGESTED to logout and re-login or better reboot to avoid any issues\n\n"
-printf "${BLUE} Thank you for using KooL's Hyprland Configuration... ENJOY!!!\n"
+printf "${BLUE} Thank you for using KooL's Hyprland Configuration... ENJOY!!!\n" \ No newline at end of file
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage